List nodes for a Kubernetes cluster

GET/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes

If you send a GET request to the /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes endpoint, you will get a list of nodes within the cluster. The path parameter selects a certain cluster. Bare metal nodes can be managed in the relevant block of the Host section.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

kubernetes_cluster_id*string

A unique identifier of a Kubernetes cluster.

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.

Default"id"

Value in

  • "id"
  • "created_at"
  • "updated_at"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

curl -X GET "https://example.com/v1/kubernetes_clusters/J0dN0KaL/nodes"
[  {    "id": "YRdGvybD",    "number": 107,    "hostname": "node107",    "configuration": "SSD.50",    "type": "cloud",    "role": "node",    "status": "pending",    "private_ipv4_address": "127.0.36.18",    "public_ipv4_address": "127.0.38.19",    "location_id": 1614,    "location_code": "location3331",    "ref_id": "MvbmZOdY",    "cluster_id": "J0dN0KaL",    "node_group": {      "id": "l9avgmbG",      "name": "node-group-88",      "description": null,      "created_at": "2026-05-28T07:05:18.865Z",      "updated_at": "2026-05-28T07:05:18.865Z"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2026-05-28T07:05:18Z",    "updated_at": "2026-05-28T07:05:18Z"  },  {    "id": "YQdJ8DaO",    "number": 108,    "hostname": "node108",    "configuration": "SSD.50",    "type": "cloud",    "role": "node",    "status": "pending",    "private_ipv4_address": "127.0.39.19",    "public_ipv4_address": "127.0.41.20",    "location_id": 1614,    "location_code": "location3331",    "ref_id": "open5Rd7",    "cluster_id": "J0dN0KaL",    "node_group": {      "id": "LDdwjRb1",      "name": "node-group-89",      "description": null,      "created_at": "2026-05-28T07:05:18.907Z",      "updated_at": "2026-05-28T07:05:18.907Z"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2026-05-28T07:05:18Z",    "updated_at": "2026-05-28T07:05:18Z"  },  {    "id": "y1aK8rbQ",    "number": 109,    "hostname": "node109",    "configuration": "SSD.50",    "type": "cloud",    "role": "node",    "status": "pending",    "private_ipv4_address": "127.0.42.21",    "public_ipv4_address": "127.0.44.22",    "location_id": 1614,    "location_code": "location3331",    "ref_id": "Jxbo2jag",    "cluster_id": "J0dN0KaL",    "node_group": {      "id": "jneg56bw",      "name": "node-group-90",      "description": null,      "created_at": "2026-05-28T07:05:18.967Z",      "updated_at": "2026-05-28T07:05:18.967Z"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2026-05-28T07:05:18Z",    "updated_at": "2026-05-28T07:05:18Z"  }]